Gemini Scraper
scraper.gemini 会提取 Gemini 的响应,让你能够归档带有结构化引用元数据的 Google AI 输出。
Request Example
curl 'https://api.scrapeless.com/api/v2/scraper/request' \
--header 'Content-Type: application/json' \
--header 'x-api-token: {you_api_key}' \
--data '{
"actor": "scraper.gemini",
"input": {
"prompt": "Recommended attractions in New York",
"country": "US"
},
"webhook": {
"url": "http://www.youwebhook.com"
}
}'Body Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
prompt | string | 是 | 发送给 Gemini 的提示词。 |
country | string | 是 | 国家或地区代码。 |
shopping | boolean | 否 | 是否获取购物数据。默认为 false。启用后,响应会在 products 字段中包含额外的产品信息——即每个产品聚合背后的商家报价,例如商店直达 URL、价格、分期、库存、配送和退货等。 |
Response Fields
注意: 当启用
shopping且响应返回这些额外产品信息时,该 API 调用将按 基础费率的 2 倍 计费。这是因为从多个来源提取和处理产品信息需要额外的资源开销。
| Parameter | Type | Description |
|---|---|---|
result_text | string | Markdown 格式的响应。 |
rawtext | string | 原始回答数据。 |
prompt | string | 原始提示词。 |
citations | array | 引用元数据。 |
citations.favicon | string | Favicon URL。 |
citations.highlights | array | 来源文本中的高亮片段。 |
citations.snippet | string | 引用片段。 |
citations.title | string | 被引用页面的标题。 |
citations.url | string | 被引用页面的 URL。 |
citations.website_name | string | 网站名称。 |
related_queries | array | 扩展查询数组。 |
products | array | Google Gemini 返回的产品信息。 |
products.thumbnails | array | 产品缩略图图片 URL 数组。 |
products.title | string | 产品标题。 |
products.url | string | 产品页面 URL。 |
products.brand | string | 产品品牌名称。 |
products.reviews | int | 评论数量。 |
products.rating | string | 平均评分。 |
products.price_range | string | 价格区间,例如 $2,499.99。 |
products.stores | array | 商店报价数组。 |
products.stores.name | string | 商店名称。 |
products.stores.link | string | 商店产品链接。 |
products.stores.title | string | 该商店中的产品标题。 |
products.stores.ratings | string | 商店评分,例如 4.3/5。 |
products.stores.extensions | array | 附加信息(库存、配送、退货)。 |
products.stores.price | string | 商店价格。 |
products.stores.delivery_fee | string | 配送费信息。 |
products.stores.total_price | string | 含费用的总价。 |
products.about_the_product | object | 详细产品信息。 |
products.about_the_product.title | string | 版块标题。 |
products.about_the_product.link | string | 产品页面链接。 |
products.about_the_product.displayed_link | string | 显示的域名。 |
products.about_the_product.features | array | 产品特性/规格。 |
products.about_the_product.features.title | string | 特性名称。 |
products.about_the_product.features.value | string | 特性值。 |
products.about_the_product.description | string | 产品描述。 |
products.variants | array | 产品变体选项。 |
products.variants.title | string | 变体类别标题。 |
products.variants.items | array | 变体选项列表。 |
products.variants.items.name | string | 变体选项名称。 |
products.variants.items.selected | bool | 是否选中该变体。 |
products.variants.items.availability | bool | 变体可用状态。 |
products.ratings | array | 评分分布数据。 |
products.ratings.stars | int | 星级评分等级(1-5)。 |
products.ratings.amount | int | 该等级的评分数量。 |
products.user_reviews | array | 用户评论数据。 |
products.user_reviews.text | string | 评论文本内容。 |
products.user_reviews.source | string | 评论来源平台。 |
products.user_reviews.rating | int | 用户评分。 |
products.user_reviews.date | string | 评论日期。 |
products.user_reviews.name | string | 评论者姓名。 |
products.user_reviews.title | string | 评论标题。 |